Subject: tools for document authoring, editing & review

From: Alia Atlas <[email-masked]>
Date: Thu, 30 Jul 2015 11:22:46 -0400

I am interested in getting a wiki together that describes how to use
different tools in an easy and systematic fashion.  I am picturing at least
three different perspectives necessary:
  1) how to create and set up the proper IPR and email notifications and
interactions to make it easy for a WG Chair to set up the tool
  2) How an editor/author should/can interact with the tool - including
interacting with reviewers whom just use text email to the list.
  3) How a reviewer can easily interact with the tool.

I do think that there's also a bit of quantitative/qualitative discussion
to be written up (possibly even a video or such) describing the benefits of
using the tool and why it is worth taking the time to learn.

So, I talked to a few people last week in Prague about this and have a plan
focused around github and also around easier writing of drafts in crashdown
(a markdown language I just learned about).

I am very interested in your thoughts and experiences with these and other
tools.

I'd really like to make it easy for WG chairs and their WGs to choose to
take advantage of tooling advances to make better use of participants' time
and make it easier to interact on issues.

Thanks,
Alia

---

From: Justin Richer <[email-masked]>
Date: Thu, 30 Jul 2015 11:24:06 -0400

I'm interested in this topic, as I'm currently having trouble getting 
the GitHub issues tracker to consistently post to our mailing list. It's 
posted a couple times, but a new issue was filed last night and nothing 
to the list, including no errors in the moderator queue.

  -- Justin

On 7/30/2015 11:22 AM, Alia Atlas wrote:
> different tools in an easy and systematic fashion.  I am picturing at 
> least three different perspectives necessary:
>   1) how to create and set up the proper IPR and email notifications 
> and interactions to make it easy for a WG Chair to set up the tool
>   2) How an editor/author should/can interact with the tool - 
> including interacting with reviewers whom just use text email to the list.
> I do think that there's also a bit of quantitative/qualitative 
> discussion to be written up (possibly even a video or such) describing 
> the benefits of using the tool and why it is worth taking the time to 
> learn.
>
> So, I talked to a few people last week in Prague about this and have a 
> plan focused around github and also around easier writing of drafts in 
> crashdown (a markdown language I just learned about).
>
> I am very interested in your thoughts and experiences with these and 
> other tools.
>
> I'd really like to make it easy for WG chairs and their WGs to choose 
> to take advantage of tooling advances to make better use of 
> participants' time and make it easier to interact on issues.
>
> Thanks,
> Alia

---

From: Alia Atlas <[email-masked]>
Date: Thu, 30 Jul 2015 11:27:23 -0400

Hi Justin,

On Thu, Jul 30, 2015 at 11:24 AM, Justin Richer <[email-masked]> wrote:

>  I'm interested in this topic, as I'm currently having trouble getting the
> GitHub issues tracker to consistently post to our mailing list. It's posted
> a couple times, but a new issue was filed last night and nothing to the
> list, including no errors in the moderator queue.
>

My sense is that we've lots of individual experience with github and some
of it works well, but there are a number of details.
I'm cc'ing Richard Barnes - who is taking the lead on writing up wiki stuff
around github.

What would you like to see on a wiki?  Do you have thoughts for a
frequently asked questions?  How well is it working for your WG?
Are there features that you'd really like to see?

Regards,
Alia

> discussion to be written up (possibly even a video or such) describing the
> benefits of using the tool and why it is worth taking the time to learn.
>

---

From: "Adam W. Montville" <[email-masked]>
Date: Fri, 31 Jul 2015 15:59:07 -0500

> On Jul 30, 2015, at 10:24 AM, Justin Richer <[email-masked]> wrote:
> 
> I'm interested in this topic, as I'm currently having trouble getting the GitHub issues tracker to consistently post to our mailing list. It's posted a couple times, but a new issue was filed last night and nothing to the list, including no errors in the moderator queue.

I’m not sure where you are with respect to your configuration, but we ran into very similar issues.  We worked with [email-masked] <mailto:[email-masked]> to have the following three addresses whitelisted for Postconfirm: [email-masked] <mailto:[email-masked]>, [email-masked] <mailto:[email-masked]>, and [email-masked] <mailto:[email-masked]>.  

I’ve not since heard any complaint of an issue, or any comment on an issue, not being posted to our list.

Adam